#!/bin/bash

# Source common functions
source "$(dirname "$0")/_dockerhelper.sh"
source "$(dirname "$0")/_common.sh"

# Load environment variables
load_env "$1" || exit 1

# check if the service is running
_is_container_running $CONTAINER_NAME || die "Service is not running - did not find container $CONTAINER_NAME."

# check if the service is healthy
curl -s -X GET http://localhost:${HOST_PORT}/health | grep -q "OK" \
    || die "Service is not healthy - did not get OK response from /health endpoint."

echo "Service is healthy"
exit 0
